%define major 1
%define api 1.30
%define build_plf 0
%define build_optimization 0

%define build_pulse	1
%define build_magick	1
%define build_caca 1

%define build_theora 1

%define build_directfb 0
%define external_vcdnav 1
%define build_smb 1
%define build_alsa 1

%define build_vidix 1
%ifnarch %ix86
%define build_vidix 0
%endif

%define build_linuxfb 1

%define libname		%mklibname xine %major
%define libnamedev	%mklibname -d xine

%define bname xine
%define dvdnav 0.1.4

%define build_divx4 0
%define build_xvid 0
%define build_faad 0
%define build_win32 0
%ifarch %ix86
%define build_win32 1
%endif


%define external_ffmpeg 1


%if "%{?distro_section}" == "tainted"
%define build_plf 1
%endif
%if %build_plf
%define build_faad 1
%endif
%{?_with_optimization: %{expand: %%global build_optimization 1}}
%{?_with_theora: %{expand: %%global build_theora 1}}
%{?_without_theora: %{expand: %%global build_theora 0}}
%{?_with_directfb: %{expand: %%global build_directfb 1}}
%{?_without_directfb: %{expand: %%global build_directfb 0}}
%{?_with_alsa: %{expand: %%global build_alsa 1}}
%{?_without_alsa: %{expand: %%global build_alsa 0}}
%{?_with_vcdnav: %{expand: %%global external_vcdnav 1}}
%{?_without_vcdnav: %{expand: %%global external_vcdnav 0}}
%{?_with_vidix: %{expand: %%global build_vidix 1}}
%{?_without_vidix: %{expand: %%global build_vidix 0}}
%{?_with_linuxfb: %{expand: %%global build_linuxfb 1}}
%{?_without_linuxfb: %{expand: %%global build_linuxfb 0}}
%{?_with_faad: %{expand: %%global build_faad 1}}
%{?_without_faad: %{expand: %%global build_faad 0}}
%{?_with_win32: %{expand: %%global build_win32 1}}
%{?_without_win32: %{expand: %%global build_win32 0}}
%{?_with_divx4: %{expand: %%global build_divx4 1}}
%{?_without_divx4: %{expand: %%global build_divx4 0}}
%{?_with_xvid: %{expand: %%global build_xvid 1}}
%{?_without_xvid: %{expand: %%global build_xvid 0}}
%{?_with_smb: %{expand: %%global build_smb 1}}
%{?_without_smb: %{expand: %%global build_smb 0}}
%{?_with_pulse: %{expand: %%global build_pulse 1}}
%{?_without_pulse: %{expand: %%global build_pulse 0}}
%{?_with_magick: %{expand: %%global build_magick 1}}
%{?_without_magick: %{expand: %%global build_magick 0}}
%{?_with_ffmpeg: %{expand: %%global external_ffmpeg 1}}
%{?_without_ffmpeg: %{expand: %%global external_ffmpeg 0}}

Name:        xine-lib
Summary:     A Free Video Player (Libraries)
Version:     1.1.21
Release:     %mkrel 16
License:     GPLv2+
Group:       System/Libraries
Source0:     http://prdownloads.sourceforge.net/xine/%name-%version.tar.xz
Patch3:      xine-lib-1.1.19-v4l1-videodev_h.patch
Patch4:      xine-lib-1.1.21-ffmpeg2.0.patch
Patch5:      xine-lib-1.1.21-modplug.patch
URL:         http://xine.sourceforge.net
Buildconflicts: libxine-devel < %version
Buildrequires: aalib-devel
Buildrequires: libvorbis-devel
Buildrequires: libbluray-devel
Buildrequires: libspeex-devel
Buildrequires: libjack-devel
Buildrequires: libSDL-devel
Buildrequires: libmng-devel
Buildrequires: libflac-devel
Buildrequires: libgnome-vfs2-devel
BuildRequires: libmodplug-devel
BuildRequires: libgdk_pixbuf2.0-devel
BuildRequires: libwavpack-devel
BuildRequires: libv4l-devel
BuildRequires: libmesaglu-devel
BuildRequires: libxv-devel
BuildRequires: libxvmc-devel
BuildRequires: libxinerama-devel

%if %build_smb
BuildRequires:	libsmbclient-devel
%endif
%if %external_vcdnav
BuildRequires: libvcd-devel >= 0.7.19
%endif
%if %build_theora
Buildrequires: libtheora-devel
%endif
%if %build_directfb
Buildrequires: libdirectfb-devel >= 0.9.9
%endif
%if %external_ffmpeg
BuildRequires: libffmpeg-static-devel
%endif
BuildRequires: autoconf2.5
BuildRequires: automake


%description 
xine is a free gpl-licensed video player for unix-like systems.
%if %build_plf
This package is in the 'tainted' section because the AAC decoder is covered by patents.
%endif


%package -n %{bname}-plugins
Summary:     	A Free Video Player (main plugins)
Group: 		Video/Players
Provides: %bname-xv %bname-gl %bname-oss %libname-docs %bname-speex
Provides:  %bname-dvdnav %bname-alsa %bname-musepack
Obsoletes: %bname-xv %bname-gl %bname-oss %libname-docs %bname-speex
Obsoletes: %bname-dvdnav %bname-alsa %bname-musepack
%if %build_win32
Obsoletes:	xine-plugins-win32 xine-win32
Provides:	xine-plugins-win32 xine-win32
#Suggests: win32-codecs
%endif
#gw enable this once the cdda plugin from xine-vcdx was merged too
#Provides: %bname-vcdx
#Obsoletes: %bname-vcdx
# Plugins are in versioned dir, so require the exact version
Requires:  %libname = %version
# provide the plugin API version
Provides: xine-plugin-api = %api

%description -n %{bname}-plugins
xine is a free gpl-licensed video player for unix-like systems.

This package includes the main plugins for xine. They allow the input
from files, Video CDs, network streams and (not encrypted) DVDs in
several video formats. Some additional plugins (support for DVDs
protected by CSS or for codecs covered by software patents) are 
available in the 'tainted' section.

%if %build_optimization

Warning: This package was optimized for the build machine and probably will not run on other computers.
%endif 


%package -n %{bname}-wavpack
Group: Sound/Players
Summary: Wavpack Audio decoder plugin for xine
Requires: %{bname}-plugins = %version

%description -n %bname-wavpack
xine is a free gpl-licensed video player for unix-like systems.

This package contains the wavpack audio decoder plugin.


%package -n %{bname}-sdl
Group: Video/Players
Summary: SDL video output plugin for xine
Requires: %{bname}-plugins = %version

%description -n %bname-sdl
xine is a free gpl-licensed video player for unix-like systems.

This package contains the SDL video output plugin.

%if %build_caca
%package -n %{bname}-caca
Group: Video/Players
Summary: Caca video output plugin for xine
Requires: %{bname}-plugins = %version
Buildrequires: libcaca-devel >= 0.99

%description -n %bname-caca
xine is a free gpl-licensed video player for unix-like systems.

This package contains the Caca video output plugin.
%endif

%package -n %libname
Summary:     	A Free Video Player (Libraries)
Group: 		System/Libraries
Provides:   xine-lib

%description -n %libname
xine is a free gpl-licensed video player for unix-like systems.

This package contains the shared libraries required by xine.

%package -n %libnamedev
Summary:        Devel files for xine
Group:          Development/C
Requires:	%libname = %version
Provides:	libxine-devel = %version-%release
Obsoletes: %mklibname -d xine 1

%description -n %libnamedev
xine is a free gpl-licensed video player for unix-like systems.

This package contains the development files required for compiling xine
front ends or plugins.

%package -n %{bname}-jack
Summary:        Jack plugin for xine
Group:          Sound/Players
Requires:  %{bname}-plugins = %version

%description -n %{bname}-jack
xine is a free gpl-licensed video player for unix-like systems.

- Jack audio output plugin

%if %build_pulse
%package -n %{bname}-pulse
Summary:        Pulseaudio plugin for xine
Group:          Sound/Players
Requires:  %{bname}-plugins = %version
Provides: %bname-polyp
Obsoletes: %bname-polyp
BuildRequires: libpulseaudio-devel

%description -n %{bname}-pulse
xine is a free gpl-licensed video player for unix-like systems.

- pulseaudio audio output plugin
%endif

%if %build_magick
%package -n %{bname}-image
Summary:        ImageMagick plugin for xine
Group:          Graphics/Utilities
Requires:  %{bname}-plugins = %version
BuildRequires: imagemagick-devel > 5.5.7.15

%description -n %{bname}-image
xine is a free gpl-licensed video player for unix-like systems.

- image display plugin based on ImageMagick
%endif

%package -n %{bname}-aa
Summary:        Aalib plugin for xine
Group:          Video/Players
Requires:  %{bname}-plugins = %version

%description -n %{bname}-aa
xine is a free gpl-licensed video player for unix-like systems.

- Aalib textmode output plugin

%package -n %{bname}-dxr3
Summary:        DXR3 plugin for xine
Group:          Video/Players
Requires:  %{bname}-plugins = %version


%description -n %{bname}-dxr3
xine is a free gpl-licensed video player for unix-like systems.

- DXR3/Hollywood+ (MPEG2 hardware decoder) decoding/output plugin
%if %build_plf
- this version has mpeg encoding enabled using libfame
%endif

%package -n %{bname}-flac
Summary:        FLAC plugin for xine
Group:          Sound/Players
Requires:  %{bname}-plugins = %version

%description -n %{bname}-flac
xine is a free gpl-licensed video player for unix-like systems.

- FLAC audio decoder plugin

%package -n %{bname}-gnomevfs
Summary:        GNOME VFS plugin for xine
Group:          System/Libraries
Requires:  %{bname}-plugins = %version

%description -n %{bname}-gnomevfs
xine is a free gpl-licensed video player for unix-like systems.

- GNOME VFS input plugin

%package -n %{bname}-smb
Summary:        Samba input plugin for xine
Group:          System/Libraries
Requires:  %{bname}-plugins = %version

%description -n %{bname}-smb
xine is a free gpl-licensed video player for unix-like systems.

- Samba input plugin



%if %build_divx4
%package -n %{bname}-divx4
Summary:     	Divx4 plugin for %{bname}
Group: 		Video/Players
Requires:	%{bname}-plugins = %{version}
ExclusiveArch:	%ix86
Obsoletes:	xine-plugins-divx4
Provides:	xine-plugins-divx4
Requires:  %{bname}-plugins = %version

%description -n %{bname}-divx4
This package contains the divx4linux plugin for %{bname}. It is in
the 'tainted' section because it is covered by software patents.
%endif

%if %build_faad
%package -n %{bname}-faad
Summary:     	FAAD plugin for %{bname}
Group: 	Sound/Players
Requires:  %{bname}-plugins = %version
BuildRequires: libfaad2-devel

%description -n %{bname}-faad
This package contains the AAC decoder plugin for %{bname}. It is in
the 'tainted' section because it is covered by software patents.
%endif

%if %build_xvid
%package -n %{bname}-xvid
Summary:     	XviD plugin for %{bname}
Group: 		Video/Players
Requires:  %{bname}-plugins = %version
Obsoletes:	xine-plugins-xvid
Provides:	xine-plugins-xvid

%description -n %{bname}-xvid
This package contains the XviD plugin for %{bname}. It is in
the 'tainted' section because it is covered by software patents.
%endif

%prep
%setup -q
%apply_patches

%build

#gw for flac
export OGG_LIBS=-logg

%if !%build_optimization
export CFLAGS="%(echo %optflags|sed s/-Wp,-D_FORTIFY_SOURCE=2//)"
%configure2_5x \
%else
%{?__cputoolize: %{__cputoolize}}
#gw expanded configure2_5x macro without the CFLAGS and --build stuff
[ -f configure.in -o -f configure.ac ] && %__libtoolize --copy --force
./configure \
 	--prefix=%{_prefix} \
	--exec-prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--sbindir=%{_sbindir} \
	--sysconfdir=%{_sysconfdir} \
	--datadir=%{_datadir} \
	--includedir=%{_includedir} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libdir} \
	--localstatedir=/var/lib \
	--sharedstatedir=%{_prefix}/com \
	--mandir=%{_mandir} \
	--infodir=%{_datadir}/info \
%endif
%if ! %external_vcdnav
  --with-internal-vcdlibs \
%endif
%if %build_directfb
  --enable-directfb \
%endif
%if ! %build_alsa
  --disable-alsa \
%endif
%if ! %build_vidix
 --disable-vidix \
%endif
%if ! %build_faad
 --disable-faad \
%endif
%if ! %build_pulse
 --disable-polypaudio \
%endif
%if ! %build_linuxfb
 --disable-fb \
%endif
%if %external_ffmpeg
  --with-external-ffmpeg \
%endif
 --enable-ipv6 --with-libflac --with-wavpack --with-w32-path=%{_libdir}/codecs
# real-codecs-path is not set so that runtime searching is used. We want
# to use either codecs from RealPlayer or real-codecs, whichever is
# present.

%make

%install
%makeinstall_std
%multiarch_binaries %buildroot%_bindir/xine-config
#clean out unpackaged files
find %{buildroot} -name '*.la' -delete
rm -rf installed-docs
mv %buildroot/%_datadir/doc/xine-lib installed-docs
rm -f %buildroot/%_libdir/xine/plugins/*/xineplug_inp_vcdo.so

%find_lang libxine1

%files -n %{bname}-plugins -f libxine1.lang
%doc installed-docs/README* installed-docs/faq.*
%_mandir/man5/xine.5*
%dir %_libdir/xine/
%dir %_libdir/xine/plugins/
%dir %_libdir/xine/plugins/%api/
%dir %_libdir/xine/plugins/%api/post/
%_libdir/xine/plugins/%api/mime.types
%if %build_alsa
%_libdir/xine/plugins/%api/xineplug_ao_out_alsa.so
%endif
%_libdir/xine/plugins/%api/xineplug_ao_out_file.so
%_libdir/xine/plugins/%api/xineplug_ao_out_none.so
%_libdir/xine/plugins/%api/xineplug_ao_out_oss.so
%_libdir/xine/plugins/%api/xineplug_inp_bluray.so
%_libdir/xine/plugins/%api/xineplug_inp_cdda.so
%_libdir/xine/plugins/%api/xineplug_inp_dvb.so
%_libdir/xine/plugins/%api/xineplug_inp_dvd.so
%_libdir/xine/plugins/%api/xineplug_inp_http.so
%_libdir/xine/plugins/%api/xineplug_inp_stdin_fifo.so
%_libdir/xine/plugins/%api/xineplug_inp_file.so
%_libdir/xine/plugins/%api/xineplug_inp_mms.so
%_libdir/xine/plugins/%api/xineplug_inp_net.so
%_libdir/xine/plugins/%api/xineplug_inp_pnm.so
%_libdir/xine/plugins/%api/xineplug_inp_pvr.so
%_libdir/xine/plugins/%api/xineplug_inp_rtp.so
%_libdir/xine/plugins/%api/xineplug_inp_rtsp.so
%_libdir/xine/plugins/%api/xineplug_inp_vcd.so
%_libdir/xine/plugins/%api/xineplug_inp_v4l.so
%_libdir/xine/plugins/%api/xineplug_inp_v4l2.so
%_libdir/xine/plugins/%api/xineplug_dmx_*so
%_libdir/xine/plugins/%api/xineplug_decode_a52.so
%_libdir/xine/plugins/%api/xineplug_decode_bitplane.so
%_libdir/xine/plugins/%api/xineplug_decode_dts.so
%_libdir/xine/plugins/%api/xineplug_decode_dvaudio.so
%_libdir/xine/plugins/%api/xineplug_decode_ff.so
%_libdir/xine/plugins/%api/xineplug_decode_gdk_pixbuf.so
%_libdir/xine/plugins/%api/xineplug_decode_gsm610.so
%_libdir/xine/plugins/%api/xineplug_decode_lpcm.so
%_libdir/xine/plugins/%api/xineplug_decode_mad.so
%_libdir/xine/plugins/%api/xineplug_decode_mpc.so*
%_libdir/xine/plugins/%api/xineplug_decode_mpeg2.so
%_libdir/xine/plugins/%api/xineplug_decode_nsf.so
%_libdir/xine/plugins/%api/xineplug_decode_spu*.so
%_libdir/xine/plugins/%api/xineplug_decode_real.so
%_libdir/xine/plugins/%api/xineplug_decode_rgb.so
%_libdir/xine/plugins/%api/xineplug_decode_speex.so
%if %build_theora
%_libdir/xine/plugins/%api/xineplug_decode_theora.so
%endif
%_libdir/xine/plugins/%api/xineplug_decode_vorbis.so
%_libdir/xine/plugins/%api/xineplug_decode_yuv.so
%if %build_directfb
%_libdir/xine/plugins/%api/xineplug_vo_out_directfb.so
%endif
%if %build_linuxfb
%_libdir/xine/plugins/%api/xineplug_vo_out_fb.so
%endif
%_libdir/xine/plugins/%api/xineplug_vo_out_syncfb.so
%_libdir/xine/plugins/%api/xineplug_vo_out_opengl.so
%_libdir/xine/plugins/%api/xineplug_vo_out_none.so
%_libdir/xine/plugins/%api/xineplug_vo_out_raw.so
%if %build_vidix
%_libdir/xine/plugins/%api/xineplug_vo_out_vidix.so
%_libdir/xine/plugins/%api/vidix/
%endif
%_libdir/xine/plugins/%api/xineplug_vo_out_xshm.so
%_libdir/xine/plugins/%api/xineplug_vo_out_xv.so
%_libdir/xine/plugins/%api/xineplug_vo_out_xvmc.so
%_libdir/xine/plugins/%api/xineplug_vo_out_xxmc.so
%_libdir/xine/plugins/%api/xineplug_vo_out_xcbshm.so
%_libdir/xine/plugins/%api/xineplug_vo_out_xcbxv.so
%if %build_win32
%_libdir/xine/plugins/%api/xineplug_decode_qt.so*
%_libdir/xine/plugins/%api/xineplug_decode_w32dll.so*
%endif
%_libdir/xine/plugins/%api/post/xineplug_post_audio_filters.so
%_libdir/xine/plugins/%api/post/xineplug_post_goom.so
%_libdir/xine/plugins/%api/post/xineplug_post_mosaico.so
%_libdir/xine/plugins/%api/post/xineplug_post_planar.so
%_libdir/xine/plugins/%api/post/xineplug_post_switch.so
%_libdir/xine/plugins/%api/post/xineplug_post_tvtime.so
%_libdir/xine/plugins/%api/post/xineplug_post_visualizations.so
%_datadir/xine

%files -n %bname-sdl
%doc README 
%_libdir/xine/plugins/%api/xineplug_vo_out_sdl.so

%files -n %bname-wavpack
%doc README 
%_libdir/xine/plugins/%api/xineplug_wavpack.so

%if %build_caca
%files -n %bname-caca
%doc README 
%_libdir/xine/plugins/%api/xineplug_vo_out_caca.so
%endif

%if %build_magick
%files -n %{bname}-image
%doc README 
%_libdir/xine/plugins/%api/xineplug_decode_image.so
%endif

%files -n %libname
%doc README AUTHORS TODO
%_libdir/libxine*.so.%{major}*

%files -n %libnamedev
%doc README ChangeLog installed-docs/hackersguide
%_bindir/xine-config
%_bindir/xine-list-1.1
%multiarch %multiarch_bindir/xine-config
%_mandir/man1/xine-config.1*
%_mandir/man1/xine-list-1.1.1*
%_libdir/*.so
%_libdir/pkgconfig/libxine.pc
%_datadir/aclocal/xine.m4
%_includedir/*.h
%_includedir/xine

%files -n %{bname}-jack
%doc README 
%_libdir/xine/plugins/%api/xineplug_ao_out_jack.so

%if %build_pulse
%files -n %{bname}-pulse
%doc README 
%_libdir/xine/plugins/%api/xineplug_ao_out_pulseaudio.so
%endif

%files -n %{bname}-aa
%doc README 
%_libdir/xine/plugins/%api/xineplug_vo_out_aa.so

%files -n %{bname}-flac
%doc README 
%_libdir/xine/plugins/%api/xineplug_flac.so

#it's building on arm, but few chances to see it working
%ifarch %{ix86} x86_64 ppc %arm
%files -n %{bname}-dxr3
%doc README 
%_libdir/xine/plugins/%api/xineplug_*dxr3*.so
%endif

%files -n %{bname}-gnomevfs
%doc README 
%_libdir/xine/plugins/%api/xineplug_inp_gnome_vfs.so

%if %build_smb
%files -n %{bname}-smb
%doc README 
%_libdir/xine/plugins/%api/xineplug_inp_smb.so
%endif

%if %build_divx4
%files -n %{bname}-divx4
%_libdir/xine/plugins/%api/xineplug_decode_divx4.so*
%endif

%if %build_faad
%files -n %{bname}-faad
%_libdir/xine/plugins/%api/xineplug_decode_faad.so*
%endif

%if %build_xvid
%files -n %{bname}-xvid
%_libdir/xine/plugins/%api/xineplug_decode_xvid.so*
%endif


%changelog
* Fri Nov 14 2014 akien <akien> 1.1.21-16.mga5
+ Revision: 797157
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 1.1.21-15.mga5.tainted
+ Revision: 747313
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1.21-14.mga5.tainted
+ Revision: 730739
- rebuild for missing pythoneggs deps

* Mon Jul 07 2014 pterjan <pterjan> 1.1.21-13.mga5
+ Revision: 650347
- Fix inclusion of modplug header

* Sat Feb 15 2014 luigiwalser <luigiwalser> 1.1.21-12.mga5.tainted
+ Revision: 592248
- rebuild for libcdio

* Sun Sep 01 2013 fwang <fwang> 1.1.21-11.mga5.tainted
+ Revision: 473884
- rebuild for new cdio

* Tue Aug 27 2013 tv <tv> 1.1.21-10.mga4.tainted
+ Revision: 472366
- rebuild for new libmng

* Sat Aug 17 2013 fwang <fwang> 1.1.21-9.mga4.tainted
+ Revision: 467237
- rebuild for new dfb

* Sun Jul 14 2013 fwang <fwang> 1.1.21-8.mga4.tainted
+ Revision: 454298
- sub_id is deprecated
- fix build with ffmpeg 2.0
- rebuild for new ffmpeg

* Tue May 28 2013 fwang <fwang> 1.1.21-7.mga4
+ Revision: 429138
- rebuild for new imagemagick

* Mon Jan 14 2013 umeabot <umeabot> 1.1.21-6.mga3.tainted
+ Revision: 387016
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Tue Jan 08 2013 fwang <fwang> 1.1.21-5.mga3.tainted
+ Revision: 341753
- rebuild for new ffmpeg

* Thu Dec 27 2012 rtp <rtp> 1.1.21-4.mga3
+ Revision: 335682
- add back dxr3 on arm as it's built again

* Fri Dec 14 2012 fwang <fwang> 1.1.21-3.mga3.tainted
+ Revision: 330790
- rebuild for new imagemagick

* Fri Oct 12 2012 fwang <fwang> 1.1.21-2.mga3.tainted
+ Revision: 305155
- update rpm group
- rebuild for new imagemagick

* Tue Jun 12 2012 fwang <fwang> 1.1.21-1.mga3.tainted
+ Revision: 260029
- update file list
- new version 1.1.21
- cleanup old patches
- drop old patches

* Sun Jun 03 2012 fwang <fwang> 1.1.20.1-1.mga3.tainted
+ Revision: 253528
- apply v4l1 patch
- update file list
- more patch
- fix build with latest ffmpeg
- add debian patch to build with latest zlib
- new version 1.1.20.1

* Fri Jan 27 2012 fwang <fwang> 1.1.19-9.mga2.tainted
+ Revision: 202197
- more patch
- more fix for ffmpeg 0.10
- rebuild for new ffmpeg

* Fri Oct 28 2011 fwang <fwang> 1.1.19-8.mga2.tainted
+ Revision: 159078
- rebuild for new libcdio

* Tue Sep 13 2011 fwang <fwang> 1.1.19-7.mga2.tainted
+ Revision: 142853
- rebuild for new imagemagick

* Sat Jun 25 2011 fwang <fwang> 1.1.19-6.mga2.tainted
+ Revision: 113589
- fix build with latest ffmpeg
- rebuild for new ffmpeg

* Mon May 30 2011 pterjan <pterjan> 1.1.19-5.mga1
+ Revision: 100759
- Rebuild with fixed mkrel

* Sun May 29 2011 cjw <cjw> 1.1.19-4.mga1.tainted
+ Revision: 100721
- patch3: fix build with kernel 2.6.38 headers where linux/videodev.h was removed
- add support for tainted builds

* Thu Feb 03 2011 ahmad <ahmad> 1.1.19-3.mga1
+ Revision: 46677
- remove BR esound-devel
- change xine-plugins description a bit
- BR just libsmbclient-devel, we have a recent enough version
- drop build_arts bits, arts is long dead now

* Sat Jan 15 2011 mikala <mikala> 1.1.19-2.mga1
+ Revision: 18585
- Fix typo
- Drop mdk macros
- Drop mdk macros
- Remove BuildRoot
- imported package xine-lib

